package com.unitesk.requality.core;

public enum AttributeType {
    INT,
    FLOAT,
    BOOL,
    STRING,
    LIST,
    RESOURCE;

    public Object fromString(String string) {
        if(this == INT) {
            return Integer.valueOf(string);
        }
        if(this == FLOAT) {
            return Float.valueOf(string);
        }
        if(this == BOOL) {
            return Boolean.valueOf(string);
        }
        // TODO: LIST and Resource
        return string;
    }
}